## org.apache.lucene.benchmark.byTask.feeds
Class DirContentSource.Iterator

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.DirContentSource.Iterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  DirContentSource

    public static class DirContentSource.Iterator

extends java.lang.Object
implements java.util.Iterator

Constructor Summary
`DirContentSource.Iterator(java.io.File f)`

Method Summary
`int` `getCount()`
`boolean` `hasNext()`
`java.lang.Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirContentSource.Iterator

    public DirContentSource.Iterator(java.io.File f)

Method Detail

### getCount

    public int getCount()

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.